<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8" isELIgnored="false"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<jsp:useBean id="now" class="java.util.Date" />
<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>Insert title here</title>
<style>
table, th, td {
  border: 1px solid black;
  padding: 5px;
}
</style>
</head>
<body>

<table>
	<thead>
		<tr>
			<td>Context</td>
			<td>Created at</td>
			<td>Session id</td>
			<td>Created at</td>
			<td>Session attribute 'loggedIn'</td>
		</tr>
	</thead>
	<tbody>
		<tr>
			<td>${empty pageContext.request.contextPath ? '/' : pageContext.request.contextPath}</td>
			<td>${pageContext.session.creationTime}</td>
			<td id="session-id-main">${pageContext.request.session.id}</td>
			<td>${pageContext.request.session.creationTime}</td>
			<td id="session-attribute-main">${sessionScope.loggedIn}</td>
		</tr>
		<tr>
			<c:import url="/sub1-index.jsp" context="/subapp1"/>
		</tr>
		<tr>
			<c:import url="/sub2-index.jsp" context="/subapp2"/>
		</tr>
	</tbody>
</table>

<script>
	function createId(webapp, type) {
		return 'session-' + type + '-' + webapp;
	}
	
	var mainSessionId = document.getElementById(createId('main', 'id'));
	var mainSessionAttribute = document.getElementById(createId('main', 'attribute'));
	
	['subapp1', 'subapp2'].forEach(
		function (elem) {
			var subAppSessionId = document.getElementById(createId(elem, 'id'));
			var subAppSessionAttribute = document.getElementById(createId(elem, 'attribute'));
			
			if (mainSessionId.innerHTML !== subAppSessionId.innerHTML)
				subAppSessionId.style['border-color'] = 'red';
			
			if (mainSessionAttribute.innerHTML !== subAppSessionAttribute.innerHTML)
				subAppSessionAttribute.style['border-color'] = 'red';
		}		
	);
	
</script>

</body>
</html>

